<?php
/**
 * The template for displaying Comments.
 *
 * The area of the page that contains comments and the comment form.
 * If the current post is protected by a password and the visitor has not yet
 * entered the password we will return early without loading the comments.
 */
if ( post_password_required() )
    return;
?>

<?php if ( have_comments() ) : ?>

<div class="post-comments" id="comments-1">
  <div class="blog-coment-title mb-30">
      <h2><?php comments_number( esc_html__('0 Comments', 'orgafe'), esc_html__('1 Comment', 'orgafe'), esc_html__('% Comments', 'orgafe') ); ?></h2>
  </div>
  <div class="latest-comments">
    <?php wp_list_comments('callback=orgafe_theme_comment'); ?>

    <div class="col-md-12"> 
        <!-- START PAGINATION -->
        <?php if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) : ?>
        <div class="pagination_area">
             <nav>
                  <ul class="pagination">
                       <li> <?php paginate_comments_links( 
                      array(
                      'prev_text' => wp_specialchars_decode(esc_html__( '<i class="fa fa-angle-left"></i>', 'orgafe' ),ENT_QUOTES),
                      'next_text' => wp_specialchars_decode(esc_html__( '<i class="fa fa-angle-right"></i>', 'orgafe' ),ENT_QUOTES),
                      ));  ?>
                        </li>
                  </ul>
             </nav>
        </div>
        <?php endif; ?>
        <!-- END PAGINATION --> 
    </div>
  </div>                
</div>   
                       
<?php endif; ?>
<?php
    if ( is_singular() ) wp_enqueue_script( "comment-reply" );
        $aria_req = ( $req ? " aria-required='true'" : '' );
        $comment_args = array(
                'id_form' => 'commentform',        
                'class_form' => 'conatct-post-form',                         
                'title_reply'=> esc_html__( 'Post Comments', 'orgafe' ),
                'fields' => apply_filters( 'comment_form_default_fields', array(
                    'author' => '<div class="contact-icon contacts-name"><input class="form-control comment-form-author" type="text" value="" name="author"  placeholder="'.esc_attr__('Enter your name*', 'orgafe').'" id="author"></div>',
                    'email' => '<div class="contact-icon contacts-email"><input class="form-control comment-form-email" type="text" value="" placeholder="'.esc_attr__('Enter your email address*', 'orgafe').'" name="email" id="email"></div>',                                                                                
                ) ),   
                'comment_field' => '<div class="contact-icon contacts-message"><textarea class="form-control comment-form-comment" rows="8" name="comment" '.$aria_req.' placeholder="'.esc_attr__('Write comment*', 'orgafe').'" id="comment"></textarea></div>',                    
                 'label_submit' => esc_html__( 'Post comment', 'orgafe' ),
                 'comment_notes_before' => '',
                 'comment_notes_after' => '',               
        )
    ?>
    <?php if ( comments_open() ) : ?>
    <?php comment_form($comment_args); ?>
    <?php endif; ?> 
          

          