<?php $orgafe_redux_demo = get_option('redux_demo'); ?>
<footer>
    <div class="footer-area footer1 grey1-bg pt-75">
        <div class="container">
            <div class="row">
                <div class="col-xl-3 col-lg-3 col-md-6">
                    <?php if ( is_active_sidebar( 'footer-area-1-2' ) ) : ?>
                    <?php dynamic_sidebar( 'footer-area-1-2' ); ?>
                    <?php endif; ?>
                </div>
                <div class="col-xl-3 col-lg-3 col-md-6">
                    <?php if ( is_active_sidebar( 'footer-area-2-2' ) ) : ?>
                    <?php dynamic_sidebar( 'footer-area-2-2' ); ?>
                    <?php endif; ?>
                </div>
                <div class="col-xl-3 col-lg-3 col-md-6">
                    <?php if ( is_active_sidebar( 'footer-area-3-2' ) ) : ?>
                    <?php dynamic_sidebar( 'footer-area-3-2' ); ?>
                    <?php endif; ?>
                </div>
                <div class="col-xl-3 col-lg-3 col-md-6">
                    <?php if ( is_active_sidebar( 'footer-area-4-2' ) ) : ?>
                    <?php dynamic_sidebar( 'footer-area-4-2' ); ?>
                    <?php endif; ?>
                </div>
            </div>
            <div class="footer-border mt-30 pt-20 pb-25">
                <div class="row">
                    <div class="col-xl-12 text-center">
                        <div class="copyright">
                            <p> <?php if(isset($orgafe_redux_demo['footer_text_1']) && $orgafe_redux_demo['footer_text_1'] !=""){?>
                           <?php echo wp_specialchars_decode(esc_attr($orgafe_redux_demo['footer_text_1']));?>
                           <?php }else{?> 
                           <?php echo esc_html__( ' Copyright ', 'orgafe' );?>
                           <?php } ?> <i class="far fa-copyright"></i> <?php if(isset($orgafe_redux_demo['footer_text_2']) && $orgafe_redux_demo['footer_text_2'] !=""){?>
                           <?php echo wp_specialchars_decode(esc_attr($orgafe_redux_demo['footer_text_2']));?>
                           <?php }else{?> 
                           <?php echo esc_html__( '2019', 'orgafe' );?>
                           <?php } ?> <a href="<?php echo wp_specialchars_decode(esc_attr($orgafe_redux_demo['footer_text_3_link']));?>"><?php if(isset($orgafe_redux_demo['footer_text_3']) && $orgafe_redux_demo['footer_text_3'] !=""){?>
                           <?php echo wp_specialchars_decode(esc_attr($orgafe_redux_demo['footer_text_3']));?>
                           <?php }else{?> 
                           <?php echo esc_html__( 'BDevs.', 'orgafe' );?>
                           <?php } ?></a> <?php if(isset($orgafe_redux_demo['footer_text_4']) && $orgafe_redux_demo['footer_text_4'] !=""){?>
                           <?php echo wp_specialchars_decode(esc_attr($orgafe_redux_demo['footer_text_4']));?>
                           <?php }else{?> 
                           <?php echo esc_html__( 'All Rights Reserved', 'orgafe' );?>
                           <?php } ?> </p>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</footer>
<!-- footer-area-end -->

</main>

<!-- JS here -->
<?php wp_footer(); ?>
</body>
</html>
