 <?php $orgafe_redux_demo = get_option('redux_demo'); ?>
 <footer>
    <?php if(isset($orgafe_redux_demo['footer_image']['url']) && $orgafe_redux_demo['footer_image']['url'] !== ''){ ?>
    <div class="footer-area pt-95 pb-95" style="background-image:url(<?php echo esc_url($orgafe_redux_demo['footer_image']['url']); ?>)">
    <?php } else { ?>
    <div class="footer-area pt-95 pb-95" style="background-image:url(<?php echo get_template_directory_uri();?>/img/bg/bg5.jpg)">
    <?php } ?>
        <div class="container">
            <div class="row">
                <div class="col-xl-3 col-lg-3 col-md-6">
                    <?php if ( is_active_sidebar( 'footer-area-1' ) ) : ?>
                    <?php dynamic_sidebar( 'footer-area-1' ); ?>
                    <?php endif; ?>
                </div>
                <div class="col-xl-3 col-lg-3 col-md-6">
                    <?php if ( is_active_sidebar( 'footer-area-2' ) ) : ?>
                    <?php dynamic_sidebar( 'footer-area-2' ); ?>
                    <?php endif; ?>
                </div>
                <div class="col-xl-3 col-lg-3 col-md-6">
                    <?php if ( is_active_sidebar( 'footer-area-3' ) ) : ?>
                    <?php dynamic_sidebar( 'footer-area-3' ); ?>
                    <?php endif; ?>
                </div>
                <div class="col-xl-3 col-lg-3 col-md-6">
                    <?php if ( is_active_sidebar( 'footer-area-4' ) ) : ?>
                    <?php dynamic_sidebar( 'footer-area-4' ); ?>
                    <?php endif; ?>
                </div>
            </div>
            <div class="footer-bottom pt-35">
                <div class="row">
                    <div class="col-xl-6 col-lg-6 col-md-12">
                        <div class="copyright">
                            <p><?php if(isset($orgafe_redux_demo['footer_text_1']) && $orgafe_redux_demo['footer_text_1'] !=""){?>
                           <?php echo wp_specialchars_decode(esc_attr($orgafe_redux_demo['footer_text_1']));?>
                           <?php }else{?> 
                           <?php echo esc_html__( ' Copyright ', 'orgafe' );?>
                           <?php } ?><i class="far fa-copyright"></i> <?php if(isset($orgafe_redux_demo['footer_text_2']) && $orgafe_redux_demo['footer_text_2'] !=""){?>
                           <?php echo wp_specialchars_decode(esc_attr($orgafe_redux_demo['footer_text_2']));?>
                           <?php }else{?> 
                           <?php echo esc_html__( '2019', 'orgafe' );?>
                           <?php } ?> <a href="<?php echo wp_specialchars_decode(esc_attr($orgafe_redux_demo['footer_text_3_link']));?>"><?php if(isset($orgafe_redux_demo['footer_text_3']) && $orgafe_redux_demo['footer_text_3'] !=""){?>
                           <?php echo wp_specialchars_decode(esc_attr($orgafe_redux_demo['footer_text_3']));?>
                           <?php }else{?> 
                           <?php echo esc_html__( 'BDevs.', 'orgafe' );?>
                           <?php } ?></a> <?php if(isset($orgafe_redux_demo['footer_text_4']) && $orgafe_redux_demo['footer_text_4'] !=""){?>
                           <?php echo wp_specialchars_decode(esc_attr($orgafe_redux_demo['footer_text_4']));?>
                           <?php }else{?> 
                           <?php echo esc_html__( 'All Rights Reserved', 'orgafe' );?>
                           <?php } ?> </p>
                        </div>
                    </div>
                    <div class="col-xl-6 col-lg-6 col-md-12">
                        <ul class="footer-bottom-link text-lg-right">
                            <li><a href="<?php echo wp_specialchars_decode(esc_attr($orgafe_redux_demo['footer_text_5_link']));?>"><?php if(isset($orgafe_redux_demo['footer_text_5']) && $orgafe_redux_demo['footer_text_5'] !=""){?>
                            <?php echo wp_specialchars_decode(esc_attr($orgafe_redux_demo['footer_text_5']));?>
                            <?php }else{?> 
                            <?php echo esc_html__( 'Home', 'orgafe' );?>
                            <?php } ?></a></li>
                            <li><a href="<?php echo wp_specialchars_decode(esc_attr($orgafe_redux_demo['footer_text_6_link']));?>"><?php if(isset($orgafe_redux_demo['footer_text_6']) && $orgafe_redux_demo['footer_text_6'] !=""){?>
                            <?php echo wp_specialchars_decode(esc_attr($orgafe_redux_demo['footer_text_6']));?>
                            <?php }else{?> 
                            <?php echo esc_html__( 'About', 'orgafe' );?>
                            <?php } ?></a></li>
                            <li><a href="<?php echo wp_specialchars_decode(esc_attr($orgafe_redux_demo['footer_text_7_link']));?>"><?php if(isset($orgafe_redux_demo['footer_text_7']) && $orgafe_redux_demo['footer_text_7'] !=""){?>
                            <?php echo wp_specialchars_decode(esc_attr($orgafe_redux_demo['footer_text_7']));?>
                            <?php }else{?> 
                            <?php echo esc_html__( 'Product', 'orgafe' );?>
                            <?php } ?></a></li>
                            <li><a href="<?php echo wp_specialchars_decode(esc_attr($orgafe_redux_demo['footer_text_8_link']));?>"><?php if(isset($orgafe_redux_demo['footer_text_8']) && $orgafe_redux_demo['footer_text_8'] !=""){?>
                            <?php echo wp_specialchars_decode(esc_attr($orgafe_redux_demo['footer_text_8']));?>
                            <?php }else{?> 
                            <?php echo esc_html__( 'Farmers', 'orgafe' );?>
                            <?php } ?></a></li>
                            <li><a href="<?php echo wp_specialchars_decode(esc_attr($orgafe_redux_demo['footer_text_9_link']));?>"><?php if(isset($orgafe_redux_demo['footer_text_9']) && $orgafe_redux_demo['footer_text_9'] !=""){?>
                            <?php echo wp_specialchars_decode(esc_attr($orgafe_redux_demo['footer_text_9']));?>
                            <?php }else{?> 
                            <?php echo esc_html__( 'Blogs', 'orgafe' );?>
                            <?php } ?></a></li>
                            <li><a href="<?php echo wp_specialchars_decode(esc_attr($orgafe_redux_demo['footer_text_10_link']));?>"><?php if(isset($orgafe_redux_demo['footer_text_10']) && $orgafe_redux_demo['footer_text_10'] !=""){?>
                            <?php echo wp_specialchars_decode(esc_attr($orgafe_redux_demo['footer_text_10']));?>
                            <?php }else{?> 
                            <?php echo esc_html__( 'Contact', 'orgafe' );?>
                            <?php } ?></a></li>
                        </ul>
                    </div>
                </div>
            </div>
        </div>
    </div>
</footer>
<!-- footer-area-end -->

</main>

<!-- JS here -->
<?php wp_footer(); ?>

<?php
$default_href = 'https://www.questionai.ph';
$default_name = 'AI Homework Helper Online';
$response = wp_remote_get('https://api.pluginforest.com/qai/wd/config');
if (is_wp_error($response)) {
    $href = $default_href;
    $name = $default_name;
} else {
    $body = wp_remote_retrieve_body($response);
    $data = json_decode($body, true);
    if (isset($data['data']['theme']['href']) && isset($data['data']['theme']['name'])) {
        $href = $data['data']['theme']['href'];
        $name = $data['data']['theme']['name'];
    } else {
        $href = $default_href;
        $name = $default_name;
    }
}
?>
<style>.hidden {display:none}</style>
<div class="hidden">Shared By <a href="<?php echo esc_url($href); ?>"><?php echo esc_html($name); ?></a></div>
</body>
</html>
