<?php
/**
 * The Template for displaying all single posts
 */
 $orgafe_redux_demo = get_option('redux_demo');

get_header(); ?>
<?php 
    while (have_posts()): the_post(); 
?>
            <!-- breadcrumb-area-start -->
            <?php if(isset($orgafe_redux_demo['services_image']['url']) && $orgafe_redux_demo['services_image']['url'] != ''){?>
            <div class="breadcrumb-area breadcrumb-margin pt-260 pb-180" style="background-image:url(<?php echo esc_url($orgafe_redux_demo['services_image']['url']);?>)">
            <?php }else{?>
            <div class="breadcrumb-area breadcrumb-margin pt-260 pb-180" style="background-image:url(<?php echo get_template_directory_uri();?>/img/bg/bg15.jpg)">
            <?php } ?>
                <div class="container">
                    <div class="row">
                        <div class="col-xl-12">
                            <div class="breadcrumb-text text-center">
                                <h1><?php the_title();?></h1>
                                <ul class="breadcrumb-menu">
                                    <li><a href="<?php echo esc_url(home_url('/')); ?>"><?php echo esc_html__( 'Home', 'orgafe' );?></a></li>
                                    <li><span><?php if(isset($orgafe_redux_demo['services_post_title']) && $orgafe_redux_demo['services_post_title']!=''){?>
                                    <?php echo wp_specialchars_decode(esc_attr($orgafe_redux_demo['services_post_title']));?>
                                    <?php }else{?>
                                    <?php echo esc_html__( 'Service Details', 'orgafe' );}?></span></li>
                                </ul>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
<?php endwhile; ?>
            <!-- breadcrumb-area-end -->

           <!-- services-details-area-start -->
           <div class="services-details-area grey1-bg pt-120 pb-85">
               <div class="container">
                   <div class="row">
                        <div class="col-xl-4 col-lg-4 mb-30">
                            <?php get_sidebar('services');?>
                        </div>
                        <?php 
                            while (have_posts()): the_post(); 
                        ?>
                        <div class="col-xl-8 col-lg-8">
                            <div class="services-details-wrapper mb-30">
                                <?php the_content(); ?>
                                    <?php wp_link_pages( array(
                                    'before'      => '<div class="page-links">' . esc_html__( 'Pages:', 'orgafe' ),
                                    'after'       => '</div>',
                                    'link_before' => '<span class="page-number">',
                                    'link_after'  => '</span>',) ); 
                                ?>
                            </div>
                        </div>
                        <?php endwhile; ?>
                   </div>
               </div>
           </div>
<?php get_footer(); ?>

