<?php
// register post type Project



add_action( 'init', 'register_orgafe_Services' );
function register_orgafe_Services() {
    
    $labels = array( 
        'name' => __( 'Services', 'orgafe' ),
        'singular_name' => __( 'Services', 'orgafe' ),
        'add_new' => __( 'Add New Services', 'orgafe' ),
        'add_new_item' => __( 'Add New Services', 'orgafe' ),
        'edit_item' => __( 'Edit Services', 'orgafe' ),
        'new_item' => __( 'New Services', 'orgafe' ),
        'view_item' => __( 'View Services', 'orgafe' ),
        'search_items' => __( 'Search Services', 'orgafe' ),
        'not_found' => __( 'No Services found', 'orgafe' ),
        'not_found_in_trash' => __( 'No Services found in Trash', 'orgafe' ),
        'parent_item_colon' => __( 'Parent Services:', 'orgafe' ),
        'menu_name' => __( 'Services', 'orgafe' ),
    );

    $args = array( 
        'labels' => $labels,
        'hierarchical' => true,
        'description' => 'List Services',
        'supports' => array( 'title', 'editor', 'thumbnail', 'comments'),
        'taxonomies' => array( 'Services'),
        'public' => true,
        'show_ui' => true,
        'show_in_menu' => true,
        'menu_position' => 5,
        'menu_icon' => 'dashicons-portfolio', 
        'show_in_nav_menus' => true,
        'publicly_queryable' => true,
        'exclude_from_search' => false,
        'has_archive' => true,
        'query_var' => true,
        'can_export' => true,
        'rewrite' => true,
        'capability_type' => 'post'
    );

    register_post_type( 'Services', $args );
}


add_action( 'init', 'register_orgafe_portfolio' );
function register_orgafe_portfolio() {
    
    $labels = array( 
        'name' => __( 'Gallery', 'orgafe' ),
        'singular_name' => __( 'Gallery', 'orgafe' ),
        'add_new' => __( 'Add New Gallery', 'orgafe' ),
        'add_new_item' => __( 'Add New Gallery', 'orgafe' ),
        'edit_item' => __( 'Edit Gallery', 'orgafe' ),
        'new_item' => __( 'New Gallery', 'orgafe' ),
        'view_item' => __( 'View Gallery', 'orgafe' ),
        'search_items' => __( 'Search Gallery', 'orgafe' ),
        'not_found' => __( 'No Gallery found', 'orgafe' ),
        'not_found_in_trash' => __( 'No Gallery found in Trash', 'orgafe' ),
        'parent_item_colon' => __( 'Parent Gallery:', 'orgafe' ),
        'menu_name' => __( 'Gallery', 'orgafe' ),
    );

    $args = array( 
        'labels' => $labels,
        'hierarchical' => true,
        'description' => 'List Gallery',
        'supports' => array( 'title', 'editor', 'thumbnail', 'comments'),
        'taxonomies' => array( 'Gallery', 'type', 'tags2' ),
        'public' => true,
        'show_ui' => true,
        'show_in_menu' => true,
        'menu_position' => 5,
        'menu_icon' => 'dashicons-portfolio', 
        'show_in_nav_menus' => true,
        'publicly_queryable' => true,
        'exclude_from_search' => false,
        'has_archive' => true,
        'query_var' => true,
        'can_export' => true,
        'rewrite' => true,
        'capability_type' => 'post'
    );

    register_post_type( 'Portfolio', $args );
}


add_action( 'init', 'register_orgafe_Team' );
function register_orgafe_Team() {
    
    $labels = array( 
        'name' => __( 'Team', 'orgafe' ),
        'singular_name' => __( 'Team', 'orgafe' ),
        'add_new' => __( 'Add New Team', 'orgafe' ),
        'add_new_item' => __( 'Add New Team', 'orgafe' ),
        'edit_item' => __( 'Edit Team', 'orgafe' ),
        'new_item' => __( 'New Team', 'orgafe' ),
        'view_item' => __( 'View Team', 'orgafe' ),
        'search_items' => __( 'Search Team', 'orgafe' ),
        'not_found' => __( 'No Team found', 'orgafe' ),
        'not_found_in_trash' => __( 'No Team found in Trash', 'orgafe' ),
        'parent_item_colon' => __( 'Parent Team:', 'orgafe' ),
        'menu_name' => __( 'Team', 'orgafe' ),
    );

    $args = array( 
        'labels' => $labels,
        'hierarchical' => true,
        'description' => 'List Team',
        'supports' => array( 'title', 'editor', 'thumbnail', 'comments'),
        'taxonomies' => array( 'Team'),
        'public' => true,
        'show_ui' => true,
        'show_in_menu' => true,
        'menu_position' => 5,
        'menu_icon' => 'dashicons-portfolio', 
        'show_in_nav_menus' => true,
        'publicly_queryable' => true,
        'exclude_from_search' => false,
        'has_archive' => true,
        'query_var' => true,
        'can_export' => true,
        'rewrite' => true,
        'capability_type' => 'post'
    );

    register_post_type( 'Team', $args );
}

add_action( 'init', 'register_orgafe_testimonial' );
function register_orgafe_testimonial() {
    
    $labels = array( 
        'name' => __( 'Testimonial', 'orgafe' ),
        'singular_name' => __( 'Testimonial', 'orgafe' ),
        'add_new' => __( 'Add New Testimonial', 'orgafe' ),
        'add_new_item' => __( 'Add New Testimonial', 'orgafe' ),
        'edit_item' => __( 'Edit Testimonial', 'orgafe' ),
        'new_item' => __( 'New Testimonial', 'orgafe' ),
        'view_item' => __( 'View Testimonial', 'orgafe' ),
        'search_items' => __( 'Search Testimonial', 'orgafe' ),
        'not_found' => __( 'No Testimonialfound', 'orgafe' ),
        'not_found_in_trash' => __( 'No Testimonial found in Trash', 'orgafe' ),
        'parent_item_colon' => __( 'Parent Testimonial:', 'orgafe' ),
        'menu_name' => __( 'Testimonial', 'orgafe' ),
    );

    $args = array( 
        'labels' => $labels,
        'hierarchical' => true,
        'description' => 'List Testimonial',
        'supports' => array( 'title', 'editor', 'thumbnail', 'comments'),
        'taxonomies' => array( 'Testimonial' ),
        'public' => true,
        'show_ui' => true,
        'show_in_menu' => true,
        'menu_position' => 5,
        'menu_icon' => 'dashicons-portfolio', 
        'show_in_nav_menus' => true,
        'publicly_queryable' => true,
        'exclude_from_search' => false,
        'has_archive' => true,
        'query_var' => true,
        'can_export' => true,
        'rewrite' => true,
        'capability_type' => 'post'
    );

    register_post_type( 'Testimonial', $args );
}


add_action( 'init', 'create_Type_hierarchical_taxonomy', 0 );

//create a custom taxonomy name it Skillss for your posts

function create_Type_hierarchical_taxonomy() {

// Add new taxonomy, make it hierarchical like Skills
//first do the translations part for GUI

  $labels = array(
    'name' => __( 'Type', 'orgafe' ),
    'singular_name' => __( 'Type', 'orgafe' ),
    'search_items' =>  __( 'Search Type','orgafe' ),
    'all_items' => __( 'All Type','orgafe' ),
    'parent_item' => __( 'Parent Type','orgafe' ),
    'parent_item_colon' => __( 'Parent Type:','orgafe' ),
    'edit_item' => __( 'Edit Type','orgafe' ), 
    'update_item' => __( 'Update Type','orgafe' ),
    'add_new_item' => __( 'Add New Type','orgafe' ),
    'new_item_name' => __( 'New Type Name','orgafe' ),
    'menu_name' => __( 'Type','orgafe' ),
  );     

// Now register the taxonomy


  register_taxonomy('type',array('Portfolio'), array(
    'hierarchical' => true,
    'labels' => $labels,
    'show_ui' => true,
    'show_admin_column' => true,
    'query_var' => true,
    'rewrite' => array( 'slug' => 'type' ),
  ));

}


add_action( 'init', 'create_Tags_hierarchical_taxonomy', 0 );
function create_Tags_hierarchical_taxonomy() {

// Add new taxonomy, make it hierarchical like Skills
//first do the translations part for GUI

  $labels = array(
    'name' => __( 'Tags', 'orgafe' ),
    'singular_name' => __( 'Tags', 'orgafe' ),
    'search_items' =>  __( 'Search Tags','orgafe' ),
    'all_items' => __( 'All Tags','orgafe' ),
    'parent_item' => __( 'Parent Tags','orgafe' ),
    'parent_item_colon' => __( 'Parent Tags:','orgafe' ),
    'edit_item' => __( 'Edit Tags','orgafe' ), 
    'update_item' => __( 'Update Tags','orgafe' ),
    'add_new_item' => __( 'Add New Tags','orgafe' ),
    'new_item_name' => __( 'New Tags Name','orgafe' ),
    'menu_name' => __( 'Tags','orgafe' ),
  );     

// Now register the taxonomy

  register_taxonomy('tags',array('Portfolio'), array(
    'hierarchical' => true,
    'labels' => $labels,
    'show_ui' => true,
    'show_admin_column' => true,
    'query_var' => true,
    'rewrite' => array( 'slug' => 'tags' ),
  ));
}

add_action( 'init', 'create_Tags2_hierarchical_taxonomy', 0 );
function create_Tags2_hierarchical_taxonomy() {

// Add new taxonomy, make it hierarchical like Skills
//first do the translations part for GUI

  $labels = array(
    'name' => __( 'Tags', 'orgafe' ),
    'singular_name' => __( 'Tags', 'orgafe' ),
    'search_items' =>  __( 'Search Tags','orgafe' ),
    'all_items' => __( 'All Tags','orgafe' ),
    'parent_item' => __( 'Parent Tags','orgafe' ),
    'parent_item_colon' => __( 'Parent Tags:','orgafe' ),
    'edit_item' => __( 'Edit Tags','orgafe' ), 
    'update_item' => __( 'Update Tags','orgafe' ),
    'add_new_item' => __( 'Add New Tags','orgafe' ),
    'new_item_name' => __( 'New Tags Name','orgafe' ),
    'menu_name' => __( 'Tags','orgafe' ),
  );     

// Now register the taxonomy

  register_taxonomy('tags2',array('Project'), array(
    'hierarchical' => true,
    'labels' => $labels,
    'show_ui' => true,
    'show_admin_column' => true,
    'query_var' => true,
    'rewrite' => array( 'slug' => 'tags2' ),
  ));
}



?>