<?php
/**
 * The Template for displaying all single posts
 */
 $orgafe_redux_demo = get_option('redux_demo');

get_header(); ?>
<?php 
    while (have_posts()): the_post(); 
    $my_date = get_the_date('F d, Y', false);
    $single_facebook = get_post_meta(get_the_ID(),'_cmb_single_facebook', true); 
    $single_twitter = get_post_meta(get_the_ID(),'_cmb_single_twitter', true); 
    $single_linkedin = get_post_meta(get_the_ID(),'_cmb_single_linkedin', true); 
    $single_youtube = get_post_meta(get_the_ID(),'_cmb_single_youtube', true); 
    $single_behance = get_post_meta(get_the_ID(),'_cmb_single_behance', true); 
    $cliends = get_post_meta(get_the_ID(),'_cmb_cliends', true); 
    $date = get_post_meta(get_the_ID(),'_cmb_date', true); 
    $role = get_post_meta(get_the_ID(),'_cmb_role', true); 
    $view_site = get_post_meta(get_the_ID(),'_cmb_view_site', true); 
?>


    <!-- breadcrumb-area-start -->
    <?php if(isset($orgafe_redux_demo['gallery_image']['url']) && $orgafe_redux_demo['gallery_image']['url'] != ''){?>
    <div class="breadcrumb-area breadcrumb-margin pt-260 pb-180" style="background-image:url(<?php echo esc_url($orgafe_redux_demo['gallery_image']['url']);?>)">
    <?php }else{?>
    <div class="breadcrumb-area breadcrumb-margin pt-260 pb-180" style="background-image:url(<?php echo get_template_directory_uri();?>/img/bg/bg15.jpg)">
    <?php } ?>
        <div class="container">
            <div class="row">
                <div class="col-xl-12">
                    <div class="breadcrumb-text text-center">
                        <h1><?php if(isset($orgafe_redux_demo['gallery_post_title']) && $orgafe_redux_demo['gallery_post_title']!=''){?>
                        <?php echo wp_specialchars_decode(esc_attr($orgafe_redux_demo['gallery_post_title']));?>
                        <?php }else{?>
                        <?php echo esc_html__( 'Gallery Details', 'orgafe' );}?>
                        </h1>
                        <ul class="breadcrumb-menu">
                            <li><a href="<?php echo esc_url(home_url('/')); ?>"><?php echo esc_html__( 'Home', 'orgafe' );?></a></li>
                            <li><span><?php if(isset($orgafe_redux_demo['gallery_post_title']) && $orgafe_redux_demo['gallery_post_title']!=''){?>
                            <?php echo wp_specialchars_decode(esc_attr($orgafe_redux_demo['gallery_post_title']));?>
                            <?php }else{?>
                            <?php echo esc_html__( 'Gallery Details', 'orgafe' );}?></span></li>
                        </ul>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- breadcrumb-area-end -->

    <!-- gallery-layout-area-start -->
    <div class="gallery-layout-area pt-120 pb-105">
        <div class="container">
            <div class="row">
                <div class="col-xl-12">
                    <div class="gallery-layout-wrapper">
                        <?php if(get_post_thumbnail_id() != ''){?>
                        <div class="gallery-layout-img">
                            <img src="<?php echo wp_get_attachment_url(get_post_thumbnail_id());?>" alt="" />
                        </div>
                        <?php } ?>
                        <div class="row mb-20">
                            <div class="col-xl-4 col-lg-4  mb-30">
                                <div class="gallery2-layout-bg">
                                    <div class="gallery-layout-info">
                                        <span><?php if(isset($orgafe_redux_demo['text_clients']) && $orgafe_redux_demo['text_clients']!=''){?>
                                        <?php echo wp_specialchars_decode(esc_attr($orgafe_redux_demo['text_clients']));?>
                                        <?php }else{?>
                                        <?php echo esc_html__( 'Clients:', 'orgafe' );}?></span>
                                        <h5><?php echo esc_attr($cliends);?></h5>
                                    </div>
                                    <div class="gallery-layout-info">
                                        <span><?php if(isset($orgafe_redux_demo['text_date']) && $orgafe_redux_demo['text_date']!=''){?>
                                        <?php echo wp_specialchars_decode(esc_attr($orgafe_redux_demo['text_date']));?>
                                        <?php }else{?>
                                        <?php echo esc_html__( 'Date', 'orgafe' );}?></span>
                                        <h5><?php echo esc_attr($date);?></h5>
                                    </div>
                                    <div class="gallery-layout-info">
                                        <span><?php if(isset($orgafe_redux_demo['text_role']) && $orgafe_redux_demo['text_role']!=''){?>
                                        <?php echo wp_specialchars_decode(esc_attr($orgafe_redux_demo['text_role']));?>
                                        <?php }else{?>
                                        <?php echo esc_html__( 'Role', 'orgafe' );}?></span>
                                        <h5><?php echo esc_attr($role);?></h5>
                                    </div>
                                    <div class="gallery-layout-info">
                                        <span><?php if(isset($orgafe_redux_demo['text_viewside']) && $orgafe_redux_demo['text_viewside']!=''){?>
                                        <?php echo wp_specialchars_decode(esc_attr($orgafe_redux_demo['text_viewside']));?>
                                        <?php }else{?>
                                        <?php echo esc_html__( 'View Site', 'orgafe' );}?></span>
                                        <h5><?php echo esc_attr($view_site);?></h5>
                                    </div>
                                </div>
                            </div>
                            <div class="col-xl-8 cl-lg-8 mb-30">
                                <div class="gallery2-layout-text">
                                    <h1><?php the_title();?></h1>
                                    <?php the_content(); ?>
                                        <?php wp_link_pages( array(
                                        'before'      => '<div class="page-links">' . esc_html__( 'Pages:', 'orgafe' ),
                                        'after'       => '</div>',
                                        'link_before' => '<span class="page-number">',
                                        'link_after'  => '</span>',) ); 
                                    ?>
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-xl-6 col-lg-6 col-md-6">
                                <div class="gallery-post-tag">
                                    <span><?php if(isset($orgafe_redux_demo['text_tag']) && $orgafe_redux_demo['text_tag']!=''){?>
                                        <?php echo wp_specialchars_decode(esc_attr($orgafe_redux_demo['text_tag']));?>
                                        <?php }else{?>
                                        <?php echo esc_html__( 'Project Tags :', 'orgafe' );}?></span>

                                    <?php  $categories = get_the_terms(get_the_ID(),'tags2');
              
                                    foreach( (array)$categories as $categorie){

                                      $cat_name = $categorie->name;

                                      $cat_slug = $categorie->slug; ?>

                                      <a href="<?php echo esc_url(home_url('/')); ?>?product_cat=<?php echo esc_attr($cat_slug);?>"><?php echo esc_attr($cat_name);?> </a>

                                    <?php } ?>
                                </div>
                            </div>
                            <div class="col-xl-6 col-lg-6 col-md-6">
                                <div class="gallery-share-icon text-left text-md-right">
                                    <span><?php if(isset($orgafe_redux_demo['text_share']) && $orgafe_redux_demo['text_share']!=''){?>
                                        <?php echo wp_specialchars_decode(esc_attr($orgafe_redux_demo['text_share']));?>
                                        <?php }else{?>
                                        <?php echo esc_html__( 'Project Share :', 'orgafe' );}?></span>
                                    <?php if($single_facebook != ''){ ?>
                                    <a href="<?php echo esc_attr($single_facebook);?>"><i class="fab fa-facebook-f"></i></a>
                                    <?php }?>
                                    <?php if($single_twitter != ''){ ?>
                                    <a href="<?php echo esc_attr($single_twitter);?>"><i class="fab fa-twitter"></i></a>
                                    <?php }?>
                                    <?php if($single_linkedin != ''){ ?>
                                    <a href="<?php echo esc_attr($single_linkedin);?>"><i class="fab fa-linkedin"></i></a>
                                    <?php }?>
                                    <?php if($single_youtube != ''){ ?>
                                    <a href="<?php echo esc_attr($single_youtube);?>"><i class="fab fa-youtube"></i></a>
                                    <?php }?>
                                    <?php if($single_behance != ''){ ?>
                                    <a href="<?php echo esc_attr($single_behance);?>"><i class="fab fa-behance"></i></a>
                                    <?php }?>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- gallery-layout-area-end -->
<?php endwhile; ?>
    <!-- gallery-area-start -->
    <div id="portfolio" class="gallery-area pt-10 pb-90">
        <div class="container">
            <div class="row">
                <div class="col-xl-6 col-lg-6 offset-lg-3 offset-xl-3">
                    <div class="section-title text-center mb-65">
                        <?php if(isset($orgafe_redux_demo['releted_icon']['url']) && $orgafe_redux_demo['releted_icon']['url'] != ''){?>
                        <div class="section-icon">
                            <img src="<?php echo esc_url($orgafe_redux_demo['releted_icon']['url']);?>" alt="">
                        </div>
                        <?php } else {?>
                        <div class="section-icon">
                            <img src="<?php echo get_template_directory_uri();?>/img/icon/icon2.png" alt="">
                        </div>
                        <?php } ?>
                        <h1><?php if(isset($orgafe_redux_demo['text_releted']) && $orgafe_redux_demo['text_releted']!=''){?>
                        <?php echo wp_specialchars_decode(esc_attr($orgafe_redux_demo['text_releted']));?>
                        <?php }else{?>
                        <?php echo esc_html__( 'Releted Project', 'orgafe' );}?></h1>
                        <p><?php echo wp_specialchars_decode(esc_attr($orgafe_redux_demo['text_releted_sub']));?></p>
                    </div>
                </div>
            </div>
            <div class="row gallery-active owl-carousel">

                <?php 

                $args = array(   

                    'post_type' => 'portfolio',  

                    'paged' => $paged,

                    'posts_per_page' => $number,

                    'order' => $orderpost,

                    'orderby' => $orderby, 

                );  

                $wp_query = new WP_Query($args);

                while ($wp_query -> have_posts()) : $wp_query -> the_post(); 
                $excerpt = get_post_meta(get_the_ID(),'_cmb_excerpt', right);  
                $image111 = get_post_meta(get_the_ID(),'_cmb_image111', right);  
                $orgafe_redux_demo = get_option('redux_demo');
                
                ?> 
             
                <div class="col-12">
                    <div class="gallery-wrapper mb-30">
                        <div class="gallery-img">
                            <a class="popup-image" href="<?php echo esc_attr($image111);?>"><img src="<?php echo esc_attr($image111);?>"
                                    alt=""></a>
                            <div class="gallery-text">
                                <span><?php echo htmlspecialchars_decode(esc_attr($excerpt));?></span>
                                <h3><a href="<?php the_permalink();?>"><?php the_title();?></a></h3>
                                <a href="<?php the_permalink();?>"><?php if(isset($orgafe_redux_demo['read_more']) && $orgafe_redux_demo['read_more']!=''){?>
                                <?php echo htmlspecialchars_decode(esc_attr($orgafe_redux_demo['read_more']));?> 
                                <?php }else{?>
                                <?php echo esc_html__( 'Read More', 'orgafe' );
                                } ?></a>
                            </div>
                        </div>
                    </div>
                </div>

                <?php endwhile; ?>

            </div>
        </div>
    </div>
    <!-- gallery-area-start -->
  

<?php get_footer(); ?>
